### Constructor

# GSSDP Client new_with_port

#### Declaration [src]

    GSSDPClient*
    gssdp_client_new_with_port (
      const char* iface,
      guint16 msearch_port,
      GError** error
    )

#### Description [src]

Creates a GSSDP client on `iface`. GSSDPClient will pick the address it finds suitable for using.

Using this utility function, the created client will be using UDA 1.0 and IPv4 only.

#### Parameters

`iface` | `const char*`
| The name of the network interface, or `NULL` for auto-detection.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`msearch_port` | `guint16`
| The network port to use for M-SEARCH requests or 0 for random.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GSSDPClient`
| A new `GSSDPClient` object or `NULL` on error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.